#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-mahjongg
Version		:	3.40.1
Release		:	17.2.0.rel%{?dist}
Summary		:	GNOME Mahjongg game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and CC-BY-SA
URL		:	https://wiki.gnome.org/Apps/Mhajong
			#https://download.gnome.org/sources/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	gtk-devel
BuildRequires	:	libadwaita-devel
BuildRequires	:	meson
BuildRequires	:	itstool
BuildRequires	:	vala
BuildRequires	:	pkgconfig(librsvg-2.0)

Requires	:	gtk
#-----------------------------------------------------------------------------
%description
Mahjongg is a simple pattern recognition game. You score points by
matching identical tiles.

#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mahjongg.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Mahjongg.service
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/org.gnome.Mahjongg.*
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Mahjongg-symbolic.svg
%{_datadir}/metainfo/org.gnome.Mahjongg.appdata.xml
%{_mandir}/man6/%{name}.6.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=plain				\
	_bld

meson	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson	install						\
	-C _bld

%find_lang %{name} --with-gnome

#-----------------------------------------------------------------------------
%changelog

